server:
  port: 26100
  servlet:
    context-path: /dlcm
spring:
  application:
    name: DLCM-Solution
  cloud:
    config:
      fail-fast: true
      enabled: false
  jms:
    listener:
      auto-startup: false
  activemq:
    broker-url: vm://localhost?broker.persistent=false&broker.useShutdownHook=false
    packages:
      trusted: ch.unige.solidify,ch.dlcm,java.time,java.util,java.lang
  datasource:
    url: jdbc:h2:mem:test
  jpa:
    properties:
      hibernate:
        dialect: org.hibernate.dialect.H2Dialect
        globally_quoted_identifiers: true
        globally_quoted_identifiers_skip_column_definitions: true
  mail:
    host: outlook.unige.ch
  messages:
    basename: locale/messages_dlcm,locale/messages_solidify
  mvc:
    pathmatch:
      matching-strategy: ant-path-matcher
springdoc:
  api-docs:
    path: /api-docs
solidify:
  security:
    cors:
      allowed-domains: http://localhost:4200
  email:
    sender-address: dlcm@unige.ch
  oai-pmh:
    enable: true
  index:
    configuration:
      enable: true
    legacy:
      enable: true
    index-prefix: test
    generate-data: true
dlcm:
  module:
    auth:
      enable: false
    admin:
      enable: true
      url: http://localhost:${server.port}/dlcm/admin
    preingest:
      enable: true
      url: http://localhost:${server.port}/dlcm/preingest
    ingest:
      enable: true
      url: http://localhost:${server.port}/dlcm/ingest
    archival-storage:
      enable: true
      urls: http://localhost:${server.port}/dlcm/archival-storage
    data-mgmt:
      enable: true
      url: http://localhost:${server.port}/dlcm/data-mgmt
    access:
      enable: true
      url: http://localhost:${server.port}/dlcm/access
    preservation-planning:
      enable: true
      url: http://localhost:${server.port}/dlcm/preservation-plannning
  repository:
    archive-home-page: http://localhost:${server.port}/dlcm/access/metadata/
  queue:
    deposit: deposit
    deposit-datafile: deposit-datafile
    sip: sip
    sip-datafile: sip-datafile
    aip: aip
    aip-datafile: aip-datafile
    dip: dip
    dip-datafile: dip-datafile
    aip-download: aip-download
    aip-refresh: aip-refresh
    aip-fixity: aip-fixity
    order: order
    job: job
    orgunit: orgunit
    archive: archive
    notification: notification
  topic:
    cache: cache
    emails: emails
  data:
    init: true
  storage:
    url: file:///tmp
  secured-storage:
    url: file:///tmp
  documentation:
    generate-data: true
    users:
      - name: dlcm
        role: ROOT
      - name: test
        role: USER
      - name: anonymousUser
        role: ROOT
  indexing:
    index-name: test
